resources:
  - ../../../../base/dev

components:
  - ../../../../components/dev/backend

commonAnnotations:
  app: auth-service

namespace: dev-auth

namePrefix: dev-auth-

patches:
  - patch: |-
      - op: replace
        path: /metadata/name
        value: dev-auth
    target:
      kind: Namespace
      name: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: svc-be
      - op: replace
        path: /metadata/namespace
        value: dev-auth
      - op: replace
        path: /spec/selector/matchLabels/app
        value: auth
      - op: replace
        path: /spec/template/metadata/labels/app
        value: auth
      - op: replace
        path: /spec/template/spec/containers/0/name
        value: auth
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: registry.gitlab.com/annasik-apps/annasik-backend/annasik-auth-be/dev:ae85f09
      - op: replace
        path: /spec/template/spec/containers/0/ports/0/containerPort
        value: 8080
      - op: replace
        path: /spec/template/spec/containers/0/ports/0/name
        value: auth-svc
      - op: replace
        path: /spec/template/spec/containers/0/envFrom/0/configMapRef/name
        value: dev-auth-config-map
      - op: replace
        path: /spec/template/spec/containers/0/envFrom/1/secretRef/name
        value: dev-auth-secret
    target:
      kind: Deployment
      name: base
      namespace: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: svc-be
      - op: replace
        path: /metadata/namespace
        value: dev-auth
      - op: replace
        path: /spec/ports/0/port
        value: 8080
      - op: replace
        path: /spec/ports/0/targetPort
        value: 8080
      - op: replace
        path: /spec/selector/app
        value: auth
    target:
      kind: Service
      name: base
      namespace: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: auth-ingress
      - op: replace
        path: /metadata/namespace
        value: dev-auth
      - op: replace
        path: /spec/rules/0/host
        value: dev-api.annasik.my.id
      - op: replace
        path: /spec/tls/0/hosts/0
        value: dev-api.annasik.my.id
      - op: replace
        path: /spec/tls/0/secretName
        value: tls-secret
      - op: replace
        path: /spec/rules/0/http/paths/0/backend/service/port/number
        value: 8080
      - op: replace
        path: /spec/rules/0/http/paths/0/backend/service/name
        value: svc-be
      - op: replace
        path: /spec/rules/0/http/paths/0/path
        value: /v1/auth
    target:
      kind: Ingress
      name: base
      namespace: base
